commit:     0a8337be6e3e94db1635ad42fdefc741bb14c416
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Wed Jul  1 02:06:36 2020 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Wed Jul  1 02:49:24 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0a8337be

app-misc/mosquitto: Version bump to 1.6.10

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 app-misc/mosquitto/Manifest                |   1 +
 app-misc/mosquitto/mosquitto-1.6.10.ebuild | 114 +++++++++++++++++++++++++++++
 2 files changed, 115 insertions(+)

diff --git a/app-misc/mosquitto/Manifest b/app-misc/mosquitto/Manifest
index 964e6a872bc..03eb2b2d7e9 100644
--- a/app-misc/mosquitto/Manifest
+++ b/app-misc/mosquitto/Manifest
@@ -1,2 +1,3 @@
+DIST mosquitto-1.6.10.tar.gz 613060 BLAKE2B 
8c148479f79a1aa8a9abdb2bd386dbf9466f1afa41f4e0ed4d29a52adf7571ebca47231f32ec8cbf2760eb7a27bd6633985851fe4c8cb413572c32588a12097b
 SHA512 
2050a7a7af864057a177728f1cab9f6db70d6d1ea609d90c637723c2c9cfc9716429739302abd6742bde932716fae340854fff35956693dfee4ef31ce7b04a25
 DIST mosquitto-1.6.8.tar.gz 589873 BLAKE2B 
aa2e13397f7d4b6305af3180cd042cd143054e154cf8e6d93b05bc5a10d48419174711a1893fe60c1303a2f83cfbc5341cf03ec595e3640f503a2407e869491b
 SHA512 
c15897df4e0979ee29a1e67cc671f56db600a078e9eb0bea376248b3f53b13ceed36616ad3678e2c9e07d6834a6d75e4efca2c40086069c1546e0223be04c071
 DIST mosquitto-1.6.9.tar.gz 610934 BLAKE2B 
59d126a2b26be895f078be0c0dcf3513e56fc135dc956d9361ee191bd7ad6972b4692cd1824ad7a4e86a982df70c1e198e937f9ab23bf778069690098f87c815
 SHA512 
f78228a1e8305e4d89b34250981ed2c5fe5317636003636dc90f6fa2b1e3ca3c8fadb705ee7301f5252456cb093a6547bd46a255ca3d9fb5cdced697738d6eb7

diff --git a/app-misc/mosquitto/mosquitto-1.6.10.ebuild 
b/app-misc/mosquitto/mosquitto-1.6.10.ebuild
new file mode 100644
index 00000000000..4b5abada49c
--- /dev/null
+++ b/app-misc/mosquitto/mosquitto-1.6.10.ebuild
@@ -0,0 +1,114 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit python-any-r1 systemd toolchain-funcs
+
+DESCRIPTION="An Open Source MQTT v3 Broker"
+HOMEPAGE="https://mosquitto.org/ https://github.com/eclipse/mosquitto";
+SRC_URI="https://mosquitto.org/files/source/${P}.tar.gz";
+
+LICENSE="EPL-1.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="bridge examples libressl +persistence +srv ssl tcpd test websockets"
+RESTRICT="!test? ( test )"
+
+REQUIRED_USE="test? ( bridge )"
+
+RDEPEND="
+       acct-user/mosquitto
+       acct-group/mosquitto
+       srv? ( net-dns/c-ares:= )
+       ssl? (
+               !libressl? ( dev-libs/openssl:0= )
+               libressl? ( dev-libs/libressl:0= )
+       )
+       tcpd? ( sys-apps/tcp-wrappers )"
+
+DEPEND="${PYTHON_DEPS}
+       ${RDEPEND}
+       test? ( dev-util/cunit )
+       websockets? ( net-libs/libwebsockets[lejp] )"
+
+_emake() {
+       local LIBDIR=$(get_libdir)
+       emake \
+               CC="$(tc-getCC)" \
+               CLIENT_LDFLAGS="${LDFLAGS}" \
+               LIB_SUFFIX="${LIBDIR:3}" \
+               WITH_BRIDGE="$(usex bridge)" \
+               WITH_PERSISTENCE="$(usex persistence)" \
+               WITH_SRV="$(usex srv)" \
+               WITH_TLS="$(usex ssl)" \
+               WITH_WEBSOCKETS="$(usex websockets)" \
+               WITH_WRAP="$(usex tcpd)" \
+               "$@"
+}
+
+src_prepare() {
+       default
+       if use persistence; then
+               sed -i -e "/^#autosave_interval/s|^#||" \
+                       -e "s|^#persistence false$|persistence true|" \
+                       -e "/^#persistence_file/s|^#||" \
+                       -e "s|#persistence_location|persistence_location 
/var/lib/mosquitto/|" \
+                       mosquitto.conf || die
+       fi
+
+       # Remove prestripping
+       sed -i -e 's/-s --strip-program=${CROSS_COMPILE}${STRIP}//'\
+               client/Makefile lib/cpp/Makefile src/Makefile lib/Makefile || 
die
+
+       # Remove failing tests
+       sed -i -e '/02-subpub-qos1-bad-pubcomp.py/d' \
+               -e '/02-subpub-qos1-bad-pubrec.py/d' \
+               -e '/02-subpub-qos2-bad-puback-1.py/d' \
+               -e '/02-subpub-qos2-bad-puback-2.py/d' \
+               -e '/02-subpub-qos2-bad-pubcomp.py/d' \
+               test/broker/Makefile || die
+       sed -i -e '/02-subscribe-qos1-async2.test/d' \
+               test/lib/Makefile || die
+
+       python_setup
+       python_fix_shebang test
+}
+
+src_compile() {
+       _emake
+}
+
+src_test() {
+       _emake test
+}
+
+src_install() {
+       _emake DESTDIR="${D}" prefix=/usr install
+       keepdir /var/lib/mosquitto
+       fowners mosquitto:mosquitto /var/lib/mosquitto
+       dodoc readme.md CONTRIBUTING.md ChangeLog.txt
+       doinitd "${FILESDIR}"/mosquitto
+       insinto /etc/mosquitto
+       doins mosquitto.conf
+       systemd_dounit "${FILESDIR}/mosquitto.service"
+
+       if use examples; then
+               docompress -x "/usr/share/doc/${PF}/examples"
+               dodoc -r examples
+       fi
+}
+
+pkg_postinst() {
+       if [[ -z "${REPLACING_VERSIONS}" ]]; then
+               elog "The Python module has been moved out of mosquitto."
+               elog "See https://mosquitto.org/documentation/python/";
+       else
+               elog "To start the mosquitto daemon at boot, add it to the 
default runlevel with:"
+               elog ""
+               elog "    rc-update add mosquitto default"
+               elog "or"
+               elog "    systemctl enable mosquitto"
+       fi
+}

Reply via email to